AOZ Studio Beta - Bug #405
Display Width displaying Display Height
06/29/2020 07:05 PM - David Baldwin

Status: Closed Start date: 06/29/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.4

Affected version: 0.9.9.3

Description

Simple one:-

Function "Display Width"
{

}
End Function( {this.aoz.displayHeight()} ) <---- OOPS!

History

#1 - 07/02/2020 11:47 AM - Brian Flanagan
- Affected version changed from 0.9.9.1 to 0.9.9.3

Changed affected version to 0.9.9.3 (tested in 0.9.9.3 Test2 with same results)

#2 - 07/04/2020 09:16 AM - Brian Flanagan

| successfully applied the following patch to my display.aoz, per this bug report.
| recommend this patch be applied in the next release of AOZ.

@name:Display Width

@description:Return the width of the display canvas in PC mode, and the width of the emulated TV set in retro-
machine emulation mode

apix/

Function "Display Width"

{

}

End Function( { this.aoz.displayWidth()} ) // BJF Fixed 7/2 - per Dave Baldwin's bug report''

#3 - 07/04/2020 09:18 AM - Brian Flanagan

Sorry, the first line got chopped off on my previous update:

/**api

@name:Display Width

@description:Return the width of teh display canvas in PC mode, and the width of the emulated TV set in retro-
machine emulation mode

api*/

Function "Display Width"

{

}
End Function( { this.aoz.displayWidth()} ) // BJF Fixed 7/2 - per Dave Baldwin's bug report

#4 - 07/20/2020 01:40 AM - Brian Flanagan

- Status changed from New to Closed

Fixed! BJF

#5 - 07/21/2020 01:22 PM - Brian Flanagan

- Target version set to 0.9.9.4
